<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Blog Menu Block page.
 *
 * @package    block
 * @subpackage block_glossaryhtml
 * @copyright  2009 Vadim
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die(); 

class block_glossaryhtml extends block_list {
    // The init() method does not need to change at all

    function init() {
        $this->title = get_string('pluginname','block_glossaryhtml');
    }

    function applicable_formats() {
        return array('all' => true);
    }

    public function instance_allow_multiple() {
        return false;
    }

    public function get_content() {
        if ($this->content !== NULL) {
            return $this->content;
        }

    global $CFG, $COURSE, $OUTPUT;

    $context = context_course::instance($COURSE->id);
    if (has_capability('moodle/course:update', $context)) {

        $this->content = new stdClass;
        $this->content->icons  = array();
        $this->content->icons[] = $OUTPUT->pix_icon('icon', '', 'mod_glossary', array('class' => 'icon'));
        $this->content->items[] = '<a href="'.$CFG->wwwroot.'/blocks/glossaryhtml/dialog.php" onclick="return !window.open(this.href)">'.get_string('glossaryhtmlconverter','block_glossaryhtml').'</a>';

        $this->content->footer = $OUTPUT->help_icon('pluginname','block_glossaryhtml').'&nbsp;'. get_string('help');
    return $this->content;
    } else {
    return $this->content;
        }
    }
}
